Bug 482976 - JIS X 0213:2004 Anthy Dictionary Coverage (Input Method)
JIS X 0213:2004 Anthy Dictionary Coverage (Input Method)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anthy (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Akira TAGOH
QE Internationalization Bugs
:
Depends On: 195437
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 01:28 EST by Akira TAGOH
Modified: 2010-10-18 12:58 EDT (History)
7 users (show)

See Also:
Fixed In Version: anthy-9100h-6.1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 195437
Environment:
Last Closed: 2010-07-23 02:10:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test Result (899 bytes, text/plain)
2010-07-21 01:48 EDT, Kenichi Takemura
no flags Details

  None (edit)
Description Akira TAGOH 2009-01-29 01:28:24 EST
+++ This bug was initially created as a clone of Bug #195437 +++

JIS X 0213:2004 character coverage is required to be added to anthy in order for
IM to support input of the additional 1100 glyphs in the the new de facto
standard in Japan.

While IM coverage is necessary, it wouldn't be useful without the glyphs to be
able to actually display them, which are tracked in Bug #194875.

--- Additional comment from fedora-triage-list@redhat.com on 2008-05-13 22:10:42 EDT ---

Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from tfu@redhat.com on 2008-09-09 23:07:57 EDT ---

requested by Jens Petersen (#27995)
Comment 1 RHEL Product and Program Management 2009-06-15 17:01:03 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Jens Petersen 2009-06-25 03:00:02 EDT
anthy-9100h should be in rhel6 which covers JIS X 0213:2004.
Comment 3 releng-rhel@redhat.com 2009-10-28 11:50:57 EDT
Fixed in 'anthy-9100h-6.1.el6', included in compose 'RHEL6.0-20091027.3'.
Moving to ON_QA.
Comment 4 Kenichi Takemura 2010-07-21 01:46:01 EDT
Verified.

I checked 10 characters newly added into JISX0213 2004 are included in the anthy kanji dictionary(gt-tankanji_kanji-34.t).

$ for c in `cat jisx0213_2004_new.lst`; do echo $c; grep $c gt-tankanji_kanji-34.t; done
俱
くt #KJ*1 俱
ぐt #KJ*1 俱
剝
はがれるt #KJ*1 剝
はくt #KJ*1 剝
はぐt #KJ*1 剝
はげるt #KJ*1 剝
むくt #KJ*1 剝
Comment 5 Kenichi Takemura 2010-07-21 01:48:16 EDT
Seems Comment 4 cannot display what I wrote.

I attach the test result.
Comment 6 Kenichi Takemura 2010-07-21 01:48:52 EDT
Created attachment 433303 [details]
Test Result

Test Result
Comment 7 Kenichi Takemura 2010-07-23 02:10:29 EDT
Closing this bug.

Verified on host build from rel-eng/RHEL6.0-20100715.2 tree

Note You need to log in before you can comment on or make changes to this bug.